Автор Тема: Как сейчас в p9 установить .rpm из файла?  (Прочитано 5601 раз)

Оффлайн hasculdr

  • Давно тут
  • **
  • Сообщений: 615
Как сейчас в p9 установить .rpm из файла? Постоянно лезет в сеть и скачивает новую версию (нужна именно старая). Без сети и с ключами типа --no-download, просто выводится сообщение об установке, но пакет не устанавливается.

Оффлайн Speccyfighter

  • Мастер
  • ***
  • Сообщений: 9 865
Как сейчас в p9 установить .rpm из файла? Постоянно лезет в сеть и скачивает новую версию (нужна именно старая). Без сети и с ключами типа --no-download, просто выводится сообщение об установке, но пакет не устанавливается.

Забыть про пакетный менеджер apt-get и вспомнить про пакетный менеджер rpm. help и man в системе. Они расскажут как им пользоваться. Также поставить установленный пакет в hold, чтобы заблокировать обновление пакета на dist-upgrade:
https://www.altlinux.org/Hold
https://www.altlinux.org/APT_в_ALT_Linux/Советы_по_использованию#Hold_пакета_(Заблокировать_версию_пакета)

Оффлайн rabochyITs

  • Давно тут
  • **
  • Сообщений: 748
  • Евгений
И обязательно к просмотру, видеолекция толкового препода https://youtu.be/VV940eRjpBo

Оффлайн gosts 87

  • Давно тут
  • **
  • Сообщений: 1 092
  • Дмитрий/Dmitry/德米特里/दिमित्री
Также поставить установленный пакет в hold, чтобы заблокировать обновление пакета на dist-upgrade:
https://www.altlinux.org/Hold
https://www.altlinux.org/APT_в_ALT_Linux/Советы_по_использованию#Hold_пакета_(Заблокировать_версию_пакета)
Или так: после установки старого пакета идём в Synaptic ищем его в разделе "Установленные локально" выделяем его левой кнопкой мыши, вверху "Synaptic" а открываем раздел "Пакет" и в нём пункт "Заблокировать версию". Наличием обновления надоедать будет, но само обновление устанавливаться не будет.